



@keyframes fade {
    from {opacity: 0;}
    to {opacity: 1;}
}


@keyframes appear {
    from {transform:  translateY(-40px);opacity: 0; }
    to {transform: translateY(0); opacity: 1;}
}


.fade1 {

opacity: 1;
    animation-name: fade;
    animation-duration: 2s;
}


.fade2 {

    opacity: 1;
    animation-name: fade;
    animation-duration: 4s;
}

.fade3 {

    opacity: 1;
    animation-name: fade;
    animation-duration: 6s;
}
.fade4 {

    opacity: 1;
    animation-name: fade;
    animation-duration: 8s;
}

.appear {

    opacity: 1;
    animation-name: appear;
    animation-duration: 4s;
}



body:before {
    content: "";
    display: block;
    position: fixed;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    z-index: -10;
    background: url(hogwarts.jpg) no-repeat center center;
    -webkit-background-size: cover;
    -moz-background-size: cover;
    -o-background-size: cover;
    background-size: cover;
}









@font-face{
    font-family: 'MyWebFont';

    src:
    url('harrp___-webfont.woff') format('woff'),
    url('harrp___-webfont.ttf') format('truetype');

}

*{
    font-family: 'MyWebFont', Arial, sans-serif;


}

div{
    text-align: center;

    color: crimson;
    align-content: center;

}

ol{

    color: crimson;

}


.caption {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    color: crimson;
    text-shadow: -1px 0 black, 0 1px black, 1px 0 black, 0 -1px black;
    opacity: 1;
    animation-name: fade;
    animation-duration: 4s;

}



.in {
    max-width: 100px;
    max-height: 100px;
    margin-top: 8px;
    border-style: solid;
    border-width: 4px;
    border-color: black;




}



div.row > div{
    border-style: ridge;
    border-width: 6px;
    border-color: orangered;
    background-color: oldlace;
    padding: 0;
}


body {
    background-image: url("hogwarts.jpg");

    background-position: center;

    background-size: cover;
    position: relative;
    background-attachment: fixed;

}

@media only screen and (min-width:768px) {



    .in {
        max-width: 150px;
        max-height: 150px;


    }



}



@media only screen and (min-width:650px) {


    a.btn-primary{
        display: none;




    }

ul{


    justify-content: left;
}


}

a.nav-link{

color: crimson;
font-size: larger;


}









a.nav-link:hover {
    color: yellow;
        transform: rotate(3deg);

}





@media only screen and (max-width:650px) {


    a.btn-primary{
        margin-right: 30px;
        margin-top: 2px;
        background-color: crimson;
        border-color: crimson;
        color: white;

    }

    a.btn-primary:hover{

        background-color: crimson;
        border-color: crimson;

    }


    a.nav-link{
        display: none;




    }



}


li{
    margin-right: 7px;
}